Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.text
Class TokenStream.CaseInsensitiveToken

    java.lang.Object
      org.modeshape.common.text.TokenStream.CaseSensitiveToken
          org.modeshape.common.text.TokenStream.CaseInsensitiveToken

All Implemented Interfaces:
  TokenStream.Token

Enclosing class:
  TokenStream

    @Immutable
    protected class TokenStream.CaseInsensitiveToken

extends TokenStream.CaseSensitiveToken

Constructor Summary
`TokenStream.CaseInsensitiveToken(int startIndex, int endIndex, int type, Position position)`

Method Summary
`protected String` | `matchString()`
`TokenStream.Token` | `withType(int typeMask)` Bitmask ORed with existing type value.

Methods inherited from class org.modeshape.common.text.TokenStream.CaseSensitiveToken
`endIndex, length, matches, matches, matches, position, startIndex, toString, type, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenStream.CaseInsensitiveToken

    public TokenStream.CaseInsensitiveToken(int startIndex,
                                            int endIndex,
                                            int type,
                                            Position position)

Method Detail

### matchString

    protected String matchString()

  Overrides:
    `matchString` in class `TokenStream.CaseSensitiveToken`
  See Also:
    `TokenStream.CaseSensitiveToken.matchString()`

### withType

    public TokenStream.Token withType(int typeMask)

  Bitmask ORed with existing type value.

  Specified by:
    `withType` in interface `TokenStream.Token`
  Overrides:
    `withType` in class `TokenStream.CaseSensitiveToken`
  Returns:
    copy of Token with new type
  See Also:
    `TokenStream.Token.withType(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.